//CFTTVulkanCommandPool - [2020-04-13 11:57:46]
#ifndef _CFTTVULKANCOMMANDPOOL_H_
#define _CFTTVULKANCOMMANDPOOL_H_

#include "common.h"

/*
00206E78 CFTTVulkanCommandPool::CFTTVulkanCommandPool()
00205F5C CFTTVulkanCommandPool::Create()
002060B0 CFTTVulkanCommandPool::Destroy()
00206B44 CFTTVulkanCommandPool::Allocate(VkCommandBufferLevel)
00206D28 CFTTVulkanCommandPool::Flush()
00206E88 CFTTVulkanCommandPool::ClearMemberVars()
*/

class CFTTVulkanCommandPool {
public:
  CFTTVulkanCommandPool();              //00206E78
  void Create();                        //00205F5C
  void Destroy();                       //002060B0
  void Allocate(VkCommandBufferLevel);  //00206B44
  void Flush();                         //00206D28
  void ClearMemberVars();               //00206E88
};

#endif  //_CFTTVULKANCOMMANDPOOL_H_